#!/usr/bin/perl

use CGI::Carp qw( fatalsToBrowser );

print "Content-type: text/html\n\n";

use strict;
use DBI;

my $pos = 0;

my $dbh = DBI->connect ("DBI:mysql:DB-ALBUM", "DB-USERNAME", "DB-PASSWORD", { RaiseError => 1, PrintError => 0});
my $sth = $dbh->prepare ("SELECT filename, filepath, pid FROM DB-PFX_pictures ORDER BY pid DESC");
$sth->execute ();

print " <?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"yes\"?>\n";
print " <rss xmlns:media=\"http://search.yahoo.com/mrss\" version=\"2.0\">\n";
print " <channel>\n";

while (my ($filename, $filepath) = $sth->fetchrow_array ())
{
    print " <item>\n";
	print " <title>$filename</title>\n";
    print " <link>displayimage.php?album=lastup&amp;cat=0&amp;pos="; print $pos++; print "</link>\n";
	print " <media:thumbnail url=\"albums/$filepath"."thumb_$filename\" />\n";
	print " <media:content url=\"albums/$filepath"."$filename\" />\n";
    print " </item>\n";
}

$dbh->disconnect ();

print " </channel>\n";
print " </rss>\n";